Bug 24328 - Bibliographic frameworks fail to install
Summary: Bibliographic frameworks fail to install
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (command-line installer) (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 24312 24314
Blocks: 17258
  Show dependency treegraph
 
Reported: 2020-01-02 12:11 UTC by Jonathan Druart
Modified: 2020-01-15 23:08 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02, 19.05.07


Attachments
Bug 24328: Fix bibliographic frameworks install (linkid) (125.18 KB, application/gzip)
2020-01-02 12:17 UTC, Jonathan Druart
Details
Zipped patch with sign-off lines (125.61 KB, application/zip)
2020-01-02 21:39 UTC, Katrin Fischer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-01-02 12:11:54 UTC
With strict mode enabled (tested with MariaDB 10.4.11)

ERROR 1366 (22007) at line 8029: Incorrect integer value: '' for column `koha_kohadev`.`auth_subfield_structure`.`linkid` at row 769
Comment 1 Jonathan Druart 2020-01-02 12:17:25 UTC
Created attachment 96735 [details]
Bug 24328: Fix bibliographic frameworks install (linkid)

Had to gunzip this, otherwise I get a 413.
Comment 2 Bernardo Gonzalez Kriegel 2020-01-02 19:54:24 UTC
Count this as signed

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

If needed I can upload a gzipped signed patch, but present one it's Ok

Tested enabling strict mode (MySQL), load failed before patch, load ok after patch.

Comment: This field 'linkid' can be removed from the inserts, it's default value is '0' and we are inserting just that in all cases.

select count(*),linkid from auth_subfield_structure group by linkid"
+----------+--------+
| count(*) | linkid |
+----------+--------+
|    13398 |      0 |
+----------+--------+
Comment 3 Katrin Fischer 2020-01-02 21:34:54 UTC
Thx Jonathan, consider it PQA from me ;)
Comment 4 Katrin Fischer 2020-01-02 21:39:36 UTC
Created attachment 96770 [details]
Zipped patch with sign-off lines
Comment 5 Martin Renvoize 2020-01-07 15:55:22 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-01-14 01:09:53 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 7 Lucas Gass 2020-01-15 23:08:33 UTC
backported to 19.05.x for 19.05.07